# CVE-2024-21413 - Critical Remote Code Execution Vulnerability in Microsoft Outlook
## Setup 
- You can change smtp and password and copy the command into Terminal to use CVE-2024-21413-PoC.py
> Linux & Ubuntu & ParrotOS & ALL Base on Linux
```bash
export SENDER_EMAIL=ah3112651@gmail.com
export SENDER_PASSWORD=pnsbkvkxwfgwjueu
```
> Windows
```bash
$env:SENDER_EMAIL = "ah3112651@gmail.com"
$env:SENDER_PASSWORD = "pnsbkvkxwfgwjueu"
```
## Overview

CVE-2024-21413 is a critical remote code execution (RCE) vulnerability affecting Microsoft Outlook. This zero-day vulnerability, also known as the "MonikerLink" bug, allows attackers to execute arbitrary code on a victim's machine without any user interaction. The vulnerability is triggered by maliciously crafted email messages that exploit specific types of hyperlinks within Outlook, leading to severe consequences such as system compromise, data exfiltration, or the installation of malware.

## Affected Versions

The vulnerability affects various versions of Microsoft Outlook, including but not limited to:

- Microsoft Office 2016
- Microsoft Office 2019
- Microsoft Office 2021
- Microsoft 365 Apps

These versions are affected across both 32-bit and 64-bit editions.

## Attack Vector

The MonikerLink bug is particularly dangerous because it bypasses the Office Protected View feature, which is designed to open potentially unsafe files in a read-only, sandboxed environment. By exploiting this vulnerability, attackers can bypass these security mechanisms and gain unauthorized access to sensitive information or take control of the victim's system.

## Impact

Successful exploitation of CVE-2024-21413 can result in:

- Remote code execution
- Data exfiltration
- Data encryption
- Credential harvesting
- Installation of malware

Given the severity of this vulnerability, it is crucial that affected systems be patched immediately to prevent potential exploitation.

## Mitigation

To protect against this vulnerability, it is strongly recommended that users and organizations:

- Apply the latest security updates provided by Microsoft.
- Ensure that Outlook and all related Office applications are updated to the latest versions.

For further details and updates, refer to the following sources:

- [Recorded Future](https://www.recordedfuture.com)
- [Triskele Labs](https://www.triskelelabs.com)
- [Vulcan Cyber](https://www.vulcan.io)

## License

This document is licensed under the [MIT License](LICENSE).
